\version "2.24.1"

N = 8
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \score {
      \layout { \breaklayout I \spacing #1/24 }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=g } \partCombine \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB \with { soloText="Bn" } \partCombine \I.Bassoon \I.Cello
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup
          \new Bassoon { \II.Bassoon }
        \new StaffGroup <<
          \new StaffGroup \with { shortInstrumentName="VlnI" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinISolo { \II.ViolinSolo.1 }
            \new ViolinI \with {
              instrumentName=\markup \center-column { "Violin I" "Ripieno" } shortInstrumentName="R"
            } { \II.Violin.1 }
          >>
          \new StaffGroup \with { shortInstrumentName="VlnII" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinIISolo { \II.ViolinSolo.2 }
            \new ViolinII \with {
              instrumentName=\markup \center-column { "Violin II" "Ripieno" } shortInstrumentName="R"
            } { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \II.CelloSolo }
            \new CB        { \II.Cello }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout IIIa }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new Flute { \IIIa.Flute }
          \new OboeIandII \partCombine \IIIa.Oboe.1 \IIIa.Oboe.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=g } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CBB \with { soloText="Bn" } \partCombine \IIIa.Bassoon \IIIa.Cello
        >>
      >>
    }
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new BassSolo { \IIIb.BassSolo }
            \new CBB   { \IIIb.Cello }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \score {
      \layout { \breaklayout IV \spacing #1/16 }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
        >>
        \new StaffGroup
           \new HornIandII \with { key=g } \partCombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new StaffGroup \with { shortInstrumentName="VlnI" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinISolo { \IV.ViolinSolo.1 }
            \new ViolinI \with {
              instrumentName=\markup \center-column { "Violin I" "Ripieno" } shortInstrumentName="R"
            } { \IV.Violin.1 }
          >>
          \new StaffGroup \with { shortInstrumentName="VlnII" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinIISolo { \IV.ViolinSolo.2 }
            \new ViolinII \with {
              instrumentName=\markup \center-column { "Violin II" "Ripieno" } shortInstrumentName="R"
            } { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \IV.CelloSolo }
            \new CBB { \IV.CBB }
          >>
        >>
      >>
    }
  }
}
